> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trainy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update run status

> Updates the status of an existing run (e.g., RUNNING, COMPLETED, FAILED).



## OpenAPI

````yaml /pluto/api-reference/openapi.json post /api/runs/status/update
openapi: 3.0.0
info:
  title: mlop API
  version: 1.0.0
  description: API for mlop - ML experiment tracking platform
servers:
  - url: https://pluto-api.trainy.ai
    description: API Server
security:
  - bearerAuth: []
paths:
  /api/runs/status/update:
    post:
      tags:
        - Runs
      summary: Update run status
      description: >-
        Updates the status of an existing run (e.g., RUNNING, COMPLETED,
        FAILED).
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                runId:
                  type: number
                  description: Numeric ID of the run
                  example: 123
                status:
                  type: string
                  enum:
                    - RUNNING
                    - COMPLETED
                    - FAILED
                    - TERMINATED
                    - CANCELLED
                  description: New status
                  example: COMPLETED
                statusMetadata:
                  type: string
                  nullable: true
                  description: Status metadata as JSON string
                loggerSettings:
                  type: string
                  nullable: true
                  description: Logger settings to merge
              required:
                - runId
                - status
      responses:
        '200':
          description: Status updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success'
        '400':
          description: Invalid JSON in request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Run not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Success:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key obtained from the mlop dashboard

````